Follow

PSA developers using :manjaro:, a recent change to the 'python-pip' package adds a global /etc/pip.conf which sets the 'user' flag to 'True' and this breaks all the 'pip install' commands run within a virtualenv environment. Prefixing the 'pip install' command with PIP_USER=false is the workaround suggested by the package maintainer. More details here - forum.manjaro.org/t/call-for-t

Ended up wasting an hour on this today 😠

It looks like this might've been reverted, at least for the time being. Today, I got a warning that the installed version of the 'python-pip' package is newer than the version in the repository when I ran 'pacman -Syu'.

Sign in to participate in the conversation
Fosstodon

Fosstodon is a Mastodon instance that is open to anyone who is interested in technology; particularly free & open source software.